package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysPlan;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2022-06-09
 */
public interface ISysPlanService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public SysPlan selectSysPlanById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param sysPlan 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<SysPlan> selectSysPlanList(SysPlan sysPlan);

    /**
     * 新增【请填写功能名称】
     * 
     * @param sysPlan 【请填写功能名称】
     * @return 结果
     */
    public int insertSysPlan(SysPlan sysPlan);

    /**
     * 修改【请填写功能名称】
     * 
     * @param sysPlan 【请填写功能名称】
     * @return 结果
     */
    public int updateSysPlan(SysPlan sysPlan);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteSysPlanByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteSysPlanById(Long id);
}
